cordova.define("simdoll-events.sdevent", function(require, exports, module) {

var sdevent = {
    trigger:function(eventName){
        var c = sdevent._getChannel(eventName);
        var localHandlers = c.orderedHandlers.concat();//clone
        //arguments.shift();  // remove first argument "eventName"
        var args = [];
        for(var i=1;i<arguments.length;++i){
            args.push(arguments[i]);
        }
        for(var i=0;i<localHandlers.length;++i){
            localHandlers[i].apply(null,args);
        }
    },
    subscribe:function(eventName,handler){
        if(!(handler instanceof Function)){
            throw "handler must be function!";
        }
        var c = sdevent._getChannel(eventName);
        for(var i = 0;i<c.length;++i){
            if(c[i] === handler){
                return;
            }
        }
        c.orderedHandlers.push(handler);
    },
    unsubscribe:function(eventName,handler){
        var c = sdevent._getChannel(eventName);
        for(var i = 0;i<c.length;++i){
            if(c[i] === handler){
                c.splice(i,1);
                return handler;
            }
        }
        return null;
    },
    _bindings : {
    },
    _getChannel : function(eventName){
        var c = sdevent._bindings[eventName];
        if(null == c){
            c = {
                orderedHandlers : []
            };
            sdevent._bindings[eventName] = c;
        }
        return c;
    }
};
    
module.exports = sdevent;
});
