cordova.define("simdoll-onesdk.onesdk", function(require, exports, module) {
var cordova = require('cordova');
var channel = require('cordova/channel');
channel.createSticky('onOneSDKReady');
// Tell cordova channel to wait on the CordovaInfoReady event
channel.waitForInitialization('onOneSDKReady');


var onesdk = {
    SDKName : "onesdk",
    needsPreorder : true,
    init:function(successFunction,errorFunction){
        cordova.exec(successFunction,errorFunction, 'onesdk', 'init',null);
    },
    exit:function(errorFunction){
        cordova.exec(null,errorFunction, 'onesdk', 'exit',null);
    },
    setEventListener:function(listener){
        cordova.exec(listener,null, 'onesdk', 'setEventListener',null);
    },
    login:function(packetDef,accountInfo,successFunction,errorFunction){
        cordova.exec(successFunction,errorFunction, 'onesdk', 'login', [packetDef]);
    },
    purchase: function (preorderInfo, successFunction,errorFunction) {
        cordova.exec(successFunction,errorFunction, 'onesdk', 'purchase', [preorderInfo]);
    },
    completeTransaction: function (rcpt, successFunction,errorFunction) {
        setTimeout(successFunction,0);
    },
};

if(window.sdevent){

    sdevent.subscribe("onAppLogin",function (appId,userId) {
        onesdk.subapp_userid = userId;
    });

    sdevent.subscribe("onAppRoleCreate",function (appId,roleName) {
        onesdk.subapp_username = roleName;
        var roleData = {
            roleId:onesdk.subapp_userid,
            roleName:roleName,
            roleLevel:"1",
            zoneId:appId,
            zoneName:appId,
            balance:"0",
            vip:"1",
            partyName:"无帮派",
        };
       cordova.exec(null,null, 'onesdk', 'setData', ["createrole",roleData]);
    });
    sdevent.subscribe("onAppEnter",function (appId,userid,roleName,level) {
        onesdk.subapp_username = roleName;
        var roleData = {
            roleId:userid,
            roleName:roleName,
            roleLevel:level,
            zoneId:appId,
            zoneName:appId,
            balance:"0",
            vip:"1",
            partyName:"无帮派",
        };
       cordova.exec(null,null, 'onesdk', 'setData', ["enterServer",roleData]);
       cordova.exec(null,null, 'onesdk', 'setRoleData', [roleData]);
    });
    sdevent.subscribe("onAppRoleLevelUp",function (appId,level) {
        var roleData = {
            roleId:onesdk.subapp_userid,
            roleName:onesdk.subapp_username,
            roleLevel:level,
            zoneId:appId,
            zoneName:appId,
            balance:"0",
            vip:"1",
            partyName:"无帮派",
        };
       cordova.exec(null,null, 'onesdk', 'setData', ["levelup",roleData]);
    });
}
cordova.exec(function(){
    channel.onOneSDKReady.fire();
},function(errInfo){
    alert(rrInfo);
}, 'onesdk', 'init', null);


module.exports = onesdk;
});
